Bug 447505 - Wrong path to the font directory in API.pm.
Summary: Wrong path to the font directory in API.pm.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-PDF-API2
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-20 08:28 UTC by Manuel Hecht
Modified: 2008-06-10 03:13 UTC (History)
1 user (show)

Fixed In Version: 0.69-5.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-10 03:10:43 UTC
Type: ---


Attachments (Terms of Use)

Description Manuel Hecht 2008-05-20 08:28:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; de; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Description of problem:
Hi @ all

The API2.pm located in /usr/lib/perl5/vendor_perl/5.10.0/PDF/ contains the following line in the BEGINN section:

> @FontDirs = ( qw[ /usr/share/fonts/dejavu-fonts /usr/share/fonts ] );

The path to the DeJaVu font files is wrong! The correct path is /usr/share/fonts/dejavu!

This is the correct code:

> @FontDirs = ( qw[ /usr/share/fonts/dejavu /usr/share/fonts ] );

This bug produces a crash of the PDF::API2 module if you load a DeJaVu font.


Best regards,
Manuel Hecht

Development OTRS::ITSM

Version-Release number of selected component (if applicable):
perl-PDF-API2.noarch  0.69-3.fc9 

How reproducible:
Always


Steps to Reproduce:
Load a DeJaVu font in a perl file to reproduce the error:

e. g.  my $Font = $PDF->ttfont( 'DejaVuSans.ttf' );

Actual Results:
The perl script dead with an syntax error.

Expected Results:


Additional info:

Comment 1 Fedora Update System 2008-05-23 01:33:03 UTC
perl-PDF-API2-0.69-5.fc7 has been submitted as an update for Fedora 7

Comment 2 Fedora Update System 2008-05-23 01:57:50 UTC
perl-PDF-API2-0.69-5.fc8 has been submitted as an update for Fedora 8

Comment 3 Fedora Update System 2008-05-23 02:06:24 UTC
perl-PDF-API2-0.69-5.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-05-29 02:37:28 UTC
perl-PDF-API2-0.69-5.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-PDF-API2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-4434

Comment 5 Fedora Update System 2008-06-10 03:10:41 UTC
perl-PDF-API2-0.69-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-06-10 03:11:02 UTC
perl-PDF-API2-0.69-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2008-06-10 03:13:35 UTC
perl-PDF-API2-0.69-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.